package com.bohuikeji.frame.module.admin.annotation;


import com.bohuikeji.frame.module.admin.enums.ColumnTypeEnum;

import java.lang.annotation.*;

/**
 * 表格实体注解
 * 用于控制数据表格展示
 * @author 10552
 */
@Target({ElementType.FIELD})
@Inherited
@Documented
@Retention(RetentionPolicy.RUNTIME)
public @interface TableShowField {
    /**
     * 中文名称
     * @return
     */
    String value() default "";

    /**
     * 是否Id
     * @return
     */
    boolean id() default false;

    /**
     * 是否显示
     * @return
     */
    boolean show() default true;


    /**
     * 列数据类型，默认为文本，不同类型在表格中的展示样式不同
     * @return
     */
    ColumnTypeEnum type() default ColumnTypeEnum.AUTO;
}
